import axios from 'axios'
import { REQUEST_OK, REQUEST_KO } from '../constants/ActionTypes'

/**
 * 
 * @param {*} resource 
 */
export const get = (resource) => dispatch => {
    return axios.get(`/api/v1${resource}`).then(response => dispatch(ok(resource, response.data))).catch(error => dispatch(ko(resource, error)));
}

/**
 * 
 * @param {*} resource 
 * @param {*} payload 
 */
export const ok = (resource, payload) => {
    return {
        type: REQUEST_OK,
        resource,
        payload
    }
}

/**
 * 
 * @param {*} resource 
 * @param {*} payload 
 */
export const ko = (resource, payload) => {
    return {
        type: REQUEST_KO,
        resource,
        payload
    }
}
