import React, { Component } from 'react'
import { MuiThemeProvider, createMuiTheme } from 'material-ui/styles'
import Reboot from 'material-ui/Reboot'
import { Provider } from 'react-redux'
import { ConnectedRouter } from 'react-router-redux'
import { store, history } from '../reducers'
import Routes from '../components/common/Routes'

class App extends Component {
    render() {
        const theme = createMuiTheme({
            palette: {
                primary: { 
                    main: '#0288d1'
                },
            },
            typography: {
                fontSize: 12
            }
        })

        return (
            <MuiThemeProvider theme={theme}>
                <Reboot />
                <Provider store={store}>
                    <ConnectedRouter history={history}>
                        <Routes />
                    </ConnectedRouter>
                </Provider>
            </MuiThemeProvider>
        )
    }
}

export default App