import React, { Component } from 'react'
import { connect } from 'react-redux'
import Base from '../common/Base'
import ContainersTable from '../tables/ContainersTable'
import { get } from '../../actions'
import { CONTAINERS } from '../../constants/ResourceNames'

class ContainerList extends Component {
    componentDidMount() {
        this.props.loadData()
    }

    render() {
        return (
            <Base title={this.props.title}>
                <ContainersTable />
            </Base>
        )
    }
}

/**
 * 
 * @param {*} state 
 * @param {*} props 
 */
const mapStateToProps = (state, props) => {
    return {
        data: state.containers
    }
}

/**
 * 
 * @param {*} state 
 * @param {*} props 
 */
const mapDispatchToProps = (dispatch, props) => ({
    loadData() {
        dispatch(get(CONTAINERS))
    }
})

export default connect(mapStateToProps, mapDispatchToProps)(ContainerList)